#
# spec file for package python3-cmd2
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-cmd2
Version:        0.6.8
Release:        5.2
Summary:        Extra features for standard library's cmd module
License:        MIT
Group:          Development/Languages/Python
Url:            http://packages.python.org/cmd2/
Source:         http://pypi.python.org/packages/source/c/cmd2/cmd2-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-2to3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
Requires:       python3-pyparsing
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Enhancements for standard library's cmd module.

Drop-in replacement adds several features for command-prompt tools:

    * Searchable command history (commands: "hi", "li", "run")
    * Load commands from file, save to file, edit commands in file
    * Multi-line commands
    * Case-insensitive commands
    * Special-character shortcut commands (beyond cmd's "@" and "!")
    * Settable environment parameters
    * Parsing commands with flags
    * > (filename), >> (filename) redirect output to file
    * < (filename) gets input from file
    * bare >, >>, < redirect to/from paste buffer
    * accepts abbreviated commands when unambiguous
    * `py` enters interactive Python console
    * test apps against sample session transcript (see example/example.py)

%prep
%setup -q -n cmd2-%{version}
chmod -x README.txt
sed -i "s/\r//g" README.txt

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt
%{python3_sitelib}/*

%changelog
* Sat Jan 10 2015 arun@gmx.de
- specfile: update copyright year
- update to version 0.6.8:
  * better editor checking (by Ian Cordascu)
- changes from version 0.6.6.1:
  * No changes to code trunk.  Generated sdist from Python 2.7 to
    avoid 2to3 changes being applied to source.  (Issue
    https://bitbucket.org/catherinedevlin/cmd2/issue/6/packaging-bug)
- changes from version 0.6.6:
  * Added fix by bitbucket.org/desaintmartin to silence the editor
    check.
    bitbucket.org/catherinedevlin/cmd2/issue/1/silent-editor-check
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
